Bug 173795 - [PATCH] audio/hydrogen optionsng
[PATCH] audio/hydrogen optionsng
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Baptiste Daroussin
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-21 22:30 UTC by c.petrik.sosa
Modified: 2012-12-29 22:20 UTC (History)
0 users

See Also:


Attachments
file.diff (2.76 KB, patch)
2012-11-21 22:30 UTC, c.petrik.sosa
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description c.petrik.sosa 2012-11-21 22:30:00 UTC
OptionsNG Changes

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2012-11-21 22:30:07 UTC
Maintainer of audio/hydrogen,

Please note that PR ports/173795 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/173795

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2012-11-21 22:30:08 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Baptiste Daroussin freebsd_committer 2012-12-29 22:17:25 UTC
Responsible Changed
From-To: freebsd-ports-bugs->bapt

I'll take it.
Comment 4 Baptiste Daroussin freebsd_committer 2012-12-29 22:19:11 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!
Comment 5 dfilter freebsd_committer 2012-12-29 22:19:14 UTC
Author: bapt
Date: Sat Dec 29 22:19:01 2012
New Revision: 309634
URL: http://svnweb.freebsd.org/changeset/ports/309634

Log:
  - Convert to new options framework
  - remove shlib numbers
  - trim headers
  
  PR:		ports/173795
  Submitted by:	Chris Petrik <c.petrik.sosa@gmail.com>
  Approved by:	maintainer timeout (1 month)

Modified:
  head/audio/hydrogen/Makefile

Modified: head/audio/hydrogen/Makefile
==============================================================================
--- head/audio/hydrogen/Makefile	Sat Dec 29 22:06:04 2012	(r309633)
+++ head/audio/hydrogen/Makefile	Sat Dec 29 22:19:01 2012	(r309634)
@@ -1,9 +1,5 @@
-# New ports collection makefile for:	Hydrogen
-# Date created:			23 Jun 2004
-# Whom:				Jean-Yves Lefort <jylefort@brutele.be>
-#
+# Created by: Jean-Yves Lefort <jylefort@brutele.be>
 # $FreeBSD$
-#
 
 PORTNAME=	hydrogen
 PORTVERSION=	0.9.5
@@ -13,24 +9,23 @@ MASTER_SITES=	SF/${PORTNAME}/Hydrogen/${
 MAINTAINER=	devel@stasyan.com
 COMMENT=	An advanced drum machine
 
-LIB_DEPENDS+=	sndfile:${PORTSDIR}/audio/libsndfile \
-		tar.0:${PORTSDIR}/devel/libtar \
-		lrdf.2:${PORTSDIR}/textproc/liblrdf
-
 LICENSE=	GPLv2
 LICENSE_FILE=	${WRKSRC}/COPYING
 
+LIB_DEPENDS+=	sndfile:${PORTSDIR}/audio/libsndfile \
+		tar:${PORTSDIR}/devel/libtar \
+		lrdf:${PORTSDIR}/textproc/liblrdf
+
 BROKEN=		does not install
 
 MAJORVERSION=	0.9.5
 USE_QT4=	corelib gui linguist_build moc_build network qt3support rcc_build sql uic_build xml
 USE_SCONS=	yes
 
-OPTIONS=	JACK "JACK support" on \
-		ALSA "ALSA support" off \
-		PORTAUDIO "PortAudio support" off \
-		LIBARCHIVE "LibArchive support" off \
-		LASH "Lash support" off
+OPTIONS_DEFINE=	JACK ALSA PORTAUDIO LIBARCHIVE LASH
+OPTIONS_DEFAULT=	JACK
+
+LIBARCHIVE_DESC=	LibArchive support
 
 post-patch:
 		${REINPLACE_CMD} -e "s|includes = \[\]|includes = \['-I${QT_INCDIR}/QtCore', '-I${QT_INCDIR}/QtXml', '-I${QT_INCDIR}/QtGui',  '-I${QT_INCDIR}', '-I${QT_INCDIR}/Qt', '-I${LOCALBASE}/include'\]|g; s|ldflags = \[\]|ldflags = \['-L${QT_LIBDIR}','-L${LOCALBASE}/lib'\,'-lQtCore', '-lQtGui', '-lQtXml', '-lQtNetwork', '${PTHREAD_LIBS}']|g" ${WRKSRC}/Sconstruct
@@ -38,7 +33,8 @@ post-patch:
 .include <bsd.port.options.mk>
 
 SCONS_ENV+=	oss=1
-.if defined(WITH_JACK)
+
+.if ${PORT_OPTIONS:MJACK}
 LIB_DEPENDS+=	jack:${PORTSDIR}/audio/jack
 CPPFLAGS+=	${PTHREAD_CFLAGS}
 LDFLAGS+=	${PTHREAD_LIBS}
@@ -47,30 +43,30 @@ SCONS_ENV+=	jack=1
 SCONS_ENV+=	jack=0
 .endif
 
-.if defined(WITH_PORTAUDIO)
-LIB_DEPENDS+=	portaudio.0:${PORTSDIR}/audio/portaudio
+.if ${PORT_OPTIONS:MPORTAUDIO}
+LIB_DEPENDS+=	portaudio:${PORTSDIR}/audio/portaudio
 SCONS_ENV+=	portaudio=1
 .else
 SCONS_ENV+=	portaudio=0
 .endif
 
-.if defined(WITH_LIBARCHIVE)
+.if ${PORT_OPTIONS:MLIBARCHIVE}
 LIB_DEPENDS+=	archive:${PORTSDIR}/archivers/libarchive
 SCONS_ENV+=	libarchive=1
 .else
 SCONS_ENV+=	libarchive=0
 .endif
 
-.if defined(WITH_ALSA)
-LIB_DEPENDS+=	asound.2:${PORTSDIR}/audio/alsa-lib
+.if ${PORT_OPTIONS:MALSA}
+LIB_DEPENDS+=	asound:${PORTSDIR}/audio/alsa-lib
 RUN_DEPENDS+=	${LOCALBASE}/lib/alsa-lib/libasound_module_pcm_oss.so:${PORTSDIR}/audio/alsa-plugins
 SCONS_ENV+=	alsa=1
 .else
 SCONS_ENV+=	alsa=0
 .endif
 
-.if defined(WITH_LASH)
-LIB_DEPENDS+=	lash.2:${PORTSDIR}/audio/lash
+.if ${PORT_OPTIONS:MLASH}
+LIB_DEPENDS+=	lash:${PORTSDIR}/audio/lash
 SCONS_ENV+=	lash=1
 .else
 SCONS_ENV+=	lash=0
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"